/* 
    Document   : projectview
    Created on : 16 août 2012, 00:25:21
    Author     : chip
    Description:
        Purpose of the stylesheet follows.
*/

/* 
   TODO customize this sample style
   Syntax recommendation http://www.w3.org/TR/REC-CSS2/
*/

/* Main title */
div.prj_view_main_title{
    width: 100%;
    font-size: 32px;
    background: #87a42f;
    color: white;    
    text-align: left;
    font-weight: bold;
    margin-bottom:20px;
    margin-left: 0px;
    margin-right: 0px;
}

/* Layout setting */
div.project_view {
    width: 100%;
    font-size: 13px;
    margin: 0;
    padding: 0;
    border: 0;
}
div.project_view div.form_wrapper {
    margin: 0 -1%;
    padding: 0;
}
div.project_view fieldset {
    clear: both;
    margin: 0 0 20px 0;
    padding: 0;
    border: 0;
}

div.project_view label {
    margin: 0 1%;
    padding: 0;
    border: 0;
    float: left;
    display: table;
    width: 1%;
}
div.project_view span.wrapper {
    margin: 0;
    padding: 0;
    display: table-cell;
    width: 1%; /* firefox */
}

/*
---------------------------
width
--------------------------- */

div.project_view label.w100 {
    width: 98%;
    display: block;
}
div.project_view label.w90 {
    width: 88%;
    display: block;
}
div.project_view label.w75 {
    width: 73%;
    display: block;
}		
div.project_view label.w50 {
    width: 48%;
    display: block;
}
div.project_view label.w35 {
    width: 33%;
    display: block;
}
div.project_view label.w25 {
    width: 23%;
    display: block;
}
div.project_view label.w20 {
    width: 18%;
    display: block;
}
div.project_view label.w15 {
    width: 13%;
    display: block;
}
div.project_view label.w10 {
    width: 8%;
    display: block;
}
div.project_view label.w48 {
    width: 48%;
    display: block;
    /*border: 1px solid #d0d6da;
    border-left: 2px solid #d0d6da;*/
}

div.project_view label.w48:hover {
/*    border: 1px solid #d0d6da; */
    background: #f4fde3;
}

/* Contact vcard setting */

div.project_view label.cnt_vcard {
    width: 47%;
    display: block;
    border: 1px solid #d0d6da;
    background: #eff4e1;
    text-align: left;
    margin-top: 8px;
}

div.project_view label.cnt_vcard span.vcard_name {
    text-align: left;
    font-weight: bold;
    display: block;
    padding-bottom : 4px;
}

div.project_view label.cnt_vcard span.vcard_fix,
div.project_view label.cnt_vcard span.vcard_cel,
div.project_view label.cnt_vcard span.vcard_fax,
div.project_view label.cnt_vcard span.vcard_email{
    text-align: left;
    display: block;
    padding-bottom: 3px;
}
/* End Contact vcard setting */


/* Company vcard setting */
div.project_view label.comp_vcard {
    width: 98%;
    display: block;
    border: 1px solid #d0d6da;
    background: #eff4e1;
    text-align: left;
    margin-bottom: 0px;
    margin-top: 0px;
}

div.project_view label.comp_vcard span.vcard_name {
    text-align: justify;
    display: block;
    padding-bottom : 4px;
    font-size: 14px;
    font-weight: bold;
}

div.project_view label.comp_vcard span.vcard_addr{
    text-align: left;
    display: block;
    padding-bottom: 3px;
}


/*
---------------------------
Height
---------------------------*/
div.project_view label.h100 {
    height: 100%;
    display: block;
}
div.project_view label.h50 {
    height: 50%;
    min-height: 600px;
}
div.project_view label.h_auto {
    min-height: 200px;
}
/*
---------------------------
position
--------------------------- */

div.project_view label.p25 {
    margin-left: 26%;
}
div.project_view label.p50 {
    margin-left: 51%;
}
div.project_view label.p75 {
    margin-left: 76%;
}



/*
---------------------------
title and examples 
--------------------------- */

div.project_view label span.title {
    padding-top:2px;
    font-weight: bold;
    font-size: 14px;
    text-align : center;
}


div.project_view div.stitle{
    width: 100%;
    margin-bottom: 10px;
    padding-top: 2px;
    padding-bottom: 2px;
/*    background: #87a42f; */
    color: #87a42f;
    text-align: justify;
    font-size: 20px;
    font-weight: bold;
}
div.field{
    width: 100%;
    display: block;
    border: 1px solid #d0d6da;
    background: #eff4e1;
    padding: 4px;
    text-align: justify;
    box-sizing: border-box;
    -moz-box-sizing: border-box; /* gecko */
    -webkit-box-sizing: border-box; /* khtml/webkit */
    -ms-box-sizing: border-box; /* IE */
    
}
div.project_view div.vtitle{
    margin-left:4px; 
    margin-top:10px;
    margin-bottom:12px;
    font-size:18px;
    font-weight:bold;
    color: darkgreen;
}

		/*
		---------------------------
		input/select fields 
		--------------------------- */

		div.project_view label input.field,
                div.project_view label span.field,
                div.fieldval,
		div.project_view label select.field,
		div.project_view label textarea.field {
			width: 100%;
			display: block;
			border: 1px solid #d0d6da;
			background: #eff4e1;
			padding: 4px;
                        text-align: justify;
			box-sizing: border-box;
			-moz-box-sizing: border-box; /* gecko */
			-webkit-box-sizing: border-box; /* khtml/webkit */
			-ms-box-sizing: border-box; /* IE */
		}
                
                

		div.project_view label select.field {
			padding: 4px 1px 1px 1px; /* have to try out */
		}

		div.project_view label input.field:focus,
		div.project_view label select.field:focus,
		div.project_view label textarea.field:focus {
			border: 1px solid #d0d6da;
			border-left: 3px solid #57ab44;
			background: #e0eadd;
		}
                div.project_view label textarea.notice{
                        width: 100%;
			display: block;
			border: 1px solid #d0d6da;
			background: #eff4e1;
			padding: 4px;
			box-sizing: border-box;
			-moz-box-sizing: border-box; /* gecko */
			-webkit-box-sizing: border-box; /* khtml/webkit */
			-ms-box-sizing: border-box; /* IE */
                        word-wrap: normal;
                        text-align: justify;
                        resize: none;     
                }
                div.project_view label textarea.notice:focus{
                        border: 1px solid #d0d6da;
			border-left: 3px solid #57ab44;
			background: #e0eadd;
                }
                
                
		/* Pflichtfelder
			mandatory fields */
		div.project_view label.mandatory input.field,
		div.project_view label.mandatory select.field,
		div.project_view label.mandatory textarea.field {
			border: 1px solid #809db5;
			border-left: 8px solid #809db5;
		}

		/* Kalenderfelder
			calendar fields */
		div.project_view label.calendar input.field {
			padding-right: 25px;
		}

	
		/*
		---------------------------
		additional styles for
		input/select fields
		--------------------------- */

		div.project_view label.inputselect span.title {
			margin: 0 0 2px 0;
			display: table; /* act as inline-block */
		}

/*		div.project_view label span.title:hover,
		div.project_view label span.title:focus {
			color: #57ab44;
			cursor: pointer;
		}*/

		div.project_view label br {
			margin: 0 0 2px 0;
		}


		/*
		---------------------------
		additional styles for
		checkboxes and radios
		--------------------------- */

		div.project_view label.wauto {
			width: auto;
			margin-right: 15px;
		}
		div.project_view label.radiocheck {
			margin-bottom: 10px;
		}
		div.project_view label.radiocheck span.wrapper {
			padding-right: 0;
		}
		div.project_view label.wauto span.wrapper {
			display: inline;
		}
		div.project_view label.radiocheck span.title {
			display: block;
			margin: 0 0 0 20px;
			padding: 0;
		}


		/*
		---------------------------
		clearing elements
		--------------------------- */

		.clear {
			clear: both;
			display: block;
			padding: 0 0 18px 0;
		}
                
                .newparagraph {
			clear: both;
			display: block;
			padding: 0 0 24px 0;
		}
                
                
                .newline {
                        clear: both;
			display: block;
			padding: 0px 0px 12px 0px;
		}
                
		.mb0 {
			margin-bottom: 0 !important;
		}
		.pb20 {
			padding-bottom: 20px !important;
		}
                
                
